Loading...
Searching...
No Matches
Magick::Offset Class Reference

## Public Member Functions

| Offset (const char *offset_)
| Offset (const Offset &offset_)
| Offset (const std::string &offset_)
| Offset (ssize_t x_, ssize_t y_)
const Offset & | operator= (const char *offset_)
Offset & | operator= (const Offset &offset_)
const Offset & | operator= (const std::string &offset_)
ssize_t | x (void) const
ssize_t | y (void) const
| operator MagickCore::OffsetInfo () const

## Private Attributes

ssize_t | _x
ssize_t | _y

## Detailed Description

Definition at line 151 of file Geometry.h.

## Constructor & Destructor Documentation

## Offset() [1/5]

Magick::Offset::Offset | ( | void |  | ) |

Definition at line 489 of file Geometry.cpp.

: _x(0),
_y(0)
{
}

## Offset() [2/5]

Magick::Offset::Offset | ( | const char * | offset_ | ) |

Definition at line 495 of file Geometry.cpp.

: _x(0),
_y(0)
{
*this=offset_; // Use assignment operator
}

## Offset() [3/5]

Magick::Offset::Offset | ( | const Offset & | offset_ | ) |

Definition at line 502 of file Geometry.cpp.

: _x(offset_._x),
_y(offset_._y)
{
}

## Offset() [4/5]

Magick::Offset::Offset | ( | const std::string & | offset_ | ) |

Definition at line 508 of file Geometry.cpp.

: _x(0),
_y(0)
{
*this=offset_; // Use assignment operator
}

## Offset() [5/5]

Magick::Offset::Offset | ( | ssize_t | x_,
|  | ssize_t | y_ )

Definition at line 515 of file Geometry.cpp.

: _x(x_),
_y(y_)
{
}

## ~Offset()

Magick::Offset::~Offset | ( | void |  | ) |

Definition at line 521 of file Geometry.cpp.

{
}

## Member Function Documentation

## operator MagickCore::OffsetInfo()

Magick::Offset::operator MagickCore::OffsetInfo | ( |  | ) | const

Definition at line 568 of file Geometry.cpp.

{
OffsetInfo offset;
offset.x=_x;
offset.y=_y;
return(offset);
}

## operator=() [1/3]

const Magick::Offset & Magick::Offset::operator= | ( | const char * | offset_ | ) |

Definition at line 525 of file Geometry.cpp.

{
MagickCore::GeometryInfo
geometry_info;
MagickCore::MagickStatusType
flags;
flags=ParseGeometry(offset_,&geometry_info);
_x=(ssize_t) geometry_info.rho;
_y=(ssize_t) geometry_info.sigma;
if ((flags & MagickCore::SigmaValue) == 0)
_y=_x;
return(*this);
}

## operator=() [2/3]

Magick::Offset & Magick::Offset::operator= | ( | const Offset & | offset_ | ) |

Definition at line 541 of file Geometry.cpp.

{
// If not being set to ourself
if (this != &offset_)
{
_x=offset_._x;
_y=offset_._y;
}
return(*this);
}

## operator=() [3/3]

const Magick::Offset & Magick::Offset::operator= | ( | const std::string & | offset_ | ) |

Definition at line 552 of file Geometry.cpp.

{
*this=offset_.c_str();
return(*this);
}

## x()

ssize_t Magick::Offset::x | ( | void |  | ) | const

Definition at line 558 of file Geometry.cpp.

{
return(_x);
}

## y()

ssize_t Magick::Offset::y | ( | void |  | ) | const

Definition at line 563 of file Geometry.cpp.

{
return(_y);
}

## Field Documentation

## _x

ssize_t Magick::Offset::_x

private

Definition at line 196 of file Geometry.h.

## _y

ssize_t Magick::Offset::_y

private

Definition at line 197 of file Geometry.h.

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp